## class Fl_Clock

### Class Hierarchy

    Fl_Clock_Output
       |
       +----Fl_Clock

### Include Files

    #include <FL/Fl_Clock.H>

### Description

This widget provides a round analog clock display and is provided for Forms compatibility. It installs a 1-second timeout callback using `Fl::add_timeout()`.

### Methods

- Fl_Clock
- ~Fl_Clock
- hour
- minute
- second
- value

#### Fl_Clock::Fl_Clock(int x, int y, int w, int h, const char *label = 0)

Creates a new `Fl_Clock` widget using the given position, size, and label string. The default boxtype is `FL_NO_BOX`.

#### virtual Fl_Clock::~Fl_Clock()

The destructor removes the clock.

#### int Fl_Clock_Output::hour() const

Returns the current hour (0 to 23).

#### int Fl_Clock_Output::minute() const

Returns the current minute (0 to 59).

#### int Fl_Clock_Output::second() const

Returns the current second (0 to 60, 60 = leap second).

#### ulong Fl_Clock::value(void)

Returns the displayed time in seconds since the UNIX epoch (January 1, 1970).